Skip to content
Start here

Get Account Billing History

client.billing.history.list(HistoryListParams { account_id, page, per_page, status } params, RequestOptionsoptions?): V4PagePaginationArray<HistoryListResponse { id, action, amount, 12 more } >
GET/accounts/{account_id}/billing/history

Gets the billing history for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
params: HistoryListParams { account_id, page, per_page, status }
account_id: string

Path param: Identifier

maxLength32
page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of items per page.

minimum1
status?: string

Query param: Filter billing history by status.

ReturnsExpand Collapse
HistoryListResponse { id, action, amount, 12 more }
id?: string

Billing history item identifier.

action?: string

The billing item action.

amount?: number

The amount associated with this billing item.

amount_to_pay?: number

The amount remaining to pay.

currency?: string

The currency of the billing item.

description?: string

The billing item description.

external_invoice_id?: string

The external invoice identifier.

hosted_invoice_url?: string

URL to the hosted invoice.

invoice_id?: string

The associated invoice identifier.

occurred_at?: string

When the billing event occurred.

formatdate-time
receipt_id?: string

The associated receipt identifier.

source?: string

The source of the billing item.

source_invoice_id?: string

The source invoice identifier.

status?: string

The status of the billing item.

type?: string

The billing item type.

Get Account Billing History

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const historyListResponse of client.billing.history.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(historyListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "amount_to_pay": 0,
      "currency": "USD",
      "description": "The billing item description",
      "external_invoice_id": "external_invoice_id",
      "hosted_invoice_url": "hosted_invoice_url",
      "invoice_id": "invoice_id",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "receipt_id": "receipt_id",
      "source": "source",
      "source_invoice_id": "source_invoice_id",
      "status": "status",
      "type": "charge"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "amount_to_pay": 0,
      "currency": "USD",
      "description": "The billing item description",
      "external_invoice_id": "external_invoice_id",
      "hosted_invoice_url": "hosted_invoice_url",
      "invoice_id": "invoice_id",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "receipt_id": "receipt_id",
      "source": "source",
      "source_invoice_id": "source_invoice_id",
      "status": "status",
      "type": "charge"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}